Debian Bug report logs - #627098
linux-image-2.6.32-5-686: rndis_host fails to recognize usb device

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Mark Glassberg <glass931@yahoo.com>

Date: Tue, 17 May 2011 17:03:01 UTC

Severity: normal

Tags: moreinfo, patch

Found in version 2.6.32-31

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627098; Package linux-2.6. (Tue, 17 May 2011 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Glassberg <glass931@yahoo.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 17 May 2011 17:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Glassberg <glass931@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-686: rndis_host fails to recognize usb device
Date: Tue, 17 May 2011 12:16:31 -0400
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.32-31
Severity: normal

I'm running squeeze and I have a usb communication device that my 2.6.32-5-686
kernel doesn't recognize.  The device, called a PC Port, is manufactured by
2Wire, which is now part of Pace Plc.  It functions as an interface to a phone
line based network using HomePNA technology.  I use a 2Wire modem/router which
is also a usb device running HomePNA, and it is recognized by rndis_host as an
eth device, but my PC Port is not.

-- Package-specific info:
** Version:
Linux version 2.6.32-5-686 (Debian 2.6.32-31) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Tue Mar 8 21:36:00 UTC 2011

** Command line:
root=/dev/sdb2 ro acpi=off pci=noacpi BOOT_IMAGE=vmlinuz

** Not tainted

** Kernel log:
[    6.530154] scsi target2:0:6: Beginning Domain Validation
[    6.542446] scsi target2:0:6: Ending Domain Validation
[    8.884195] scsi 0:0:0:0: Direct-Access     ATA      ST320423A        3.02 PQ: 0 ANSI: 5
[    8.885045] scsi 0:0:1:0: Direct-Access     ATA      ST380021A        3.19 PQ: 0 ANSI: 5
[    8.889551] scsi 1:0:0:0: CD-ROM            _NEC     DVD_RW ND-3550A  1.05 PQ: 0 ANSI: 5
[    8.948785] usbcore: registered new interface driver hiddev
[    8.969845] sd 0:0:0:0: [sdb] 40011300 512-byte logical blocks: (20.4 GB/19.0 GiB)
[    8.970143] sd 0:0:0:0: [sdb] Write Protect is off
[    8.970205] sd 0:0:0:0: [sdb] Mode Sense: 00 3a 00 00
[    8.970297] sd 0:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    8.970843]  sdb:
[    8.972468] sd 2:0:6:0: [sda] 196608 512-byte logical blocks: (100 MB/96.0 MiB)
[    8.974295] sd 2:0:6:0: [sda] Write Protect is off
[    8.974360] sd 2:0:6:0: [sda] Mode Sense: 31 00 00 08
[    8.975419] sr0: scsi3-mmc drive: 48x/48x writer cd/rw xa/form2 cdda tray
[    8.975482] Uniform CD-ROM driver Revision: 3.20
[    8.975626]  sdb1 sdb2 sdb3 sdb4 <
[    8.977076] sr 1:0:0:0: Attached scsi CD-ROM sr0
[    8.977673] sd 2:0:6:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    8.984427]  sda: sdb5
[    8.994712] sd 0:0:1:0: [sdc] 156301488 512-byte logical blocks: (80.0 GB/74.5 GiB)
[    9.017525]  sdb6 >
[    9.018395] sd 0:0:1:0: [sdc] Write Protect is off
[    9.018459] sd 0:0:1:0: [sdc] Mode Sense: 00 3a 00 00
[    9.018552] sd 0:0:1:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    9.021051]  sdc: sda4
[    9.030249]  sdc1 sdc2 sdc3 sdc4 <
[    9.030602] sd 2:0:6:0: [sda] Attached SCSI removable disk
[    9.050326] sd 0:0:0:0: [sdb] Attached SCSI disk
[    9.050408]  sdc5 sdc6 >
[    9.071474] sd 0:0:1:0: [sdc] Attached SCSI disk
[    9.129991] sd 2:0:6:0: Attached scsi generic sg0 type 0
[    9.131411] sd 0:0:0:0: Attached scsi generic sg1 type 0
[    9.132892] sd 0:0:1:0: Attached scsi generic sg2 type 0
[    9.134253] sr 1:0:0:0: Attached scsi generic sg3 type 5
[    9.342853] generic-usb 0003:051D:0002.0001: hiddev0,hidraw0: USB HID v1.10 Device [APC Back-UPS ES 350 FW:823.B1.D USB FW:B1] on usb-0000:00:1d.0-2/input0
[    9.342999] usbcore: registered new interface driver usbhid
[    9.343061] usbhid: v2.6:USB HID core driver
[   14.325035] udev[261]: starting version 164
[   15.369095] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[   15.562122] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[   15.593819] udev[284]: renamed network interface eth1 to eth1-eth0
[   15.603951] udev[301]: renamed network interface eth0 to eth1
[   15.622165] intel_rng: Firmware space is locked read-only. If you can't or
[   15.622169] intel_rng: don't want to disable this in firmware setup, and if
[   15.622172] intel_rng: you are certain that your system has a functional
[   15.622174] intel_rng: RNG, try using the 'no_fwh_detect' option.
[   15.645398] udev[284]: renamed network interface eth1-eth0 to eth0
[   16.034809] input: PC Speaker as /devices/platform/pcspkr/input/input1
[   16.431069] i801_smbus 0000:00:1f.3: PCI->APIC IRQ transform: INT B -> IRQ 17
[   16.433890] parport_pc 00:0c: reported by Plug and Play BIOS
[   16.434009] parport0: PC-style at 0x378, irq 7 [PCSPP,TRISTATE]
[   16.503250] usbcore: registered new interface driver cdc_ether
[   16.576316] eth2: register 'rndis_host' at usb-0000:00:1d.1-1, RNDIS device (poll status before control), 00:d0:9e:da:e2:02
[   16.577198] usbcore: registered new interface driver rndis_host
[   17.051109] cfg80211: Using static regulatory domain info
[   17.051171] cfg80211: Regulatory domain: US
[   17.051224] 	(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   17.051292] 	(2402000 KHz - 2472000 KHz @ 40000 KHz), (600 mBi, 2700 mBm)
[   17.051350] 	(5170000 KHz - 5190000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   17.051407] 	(5190000 KHz - 5210000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   17.051465] 	(5210000 KHz - 5230000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   17.051522] 	(5230000 KHz - 5330000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[   17.051579] 	(5735000 KHz - 5835000 KHz @ 40000 KHz), (600 mBi, 3000 mBm)
[   17.052449] cfg80211: Calling CRDA for country: US
[   17.105898] usbcore: registered new interface driver rndis_wlan
[   17.325739] input: PS/2 Logitech Mouse as /devices/platform/i8042/serio1/input/input2
[   17.329858] udev[272]: renamed network interface eth2 to eth3
[   17.384855] Intel ICH 0000:00:1f.5: PCI->APIC IRQ transform: INT B -> IRQ 17
[   17.384996] Intel ICH 0000:00:1f.5: setting latency timer to 64
[   17.824049] intel8x0_measure_ac97_clock: measured 52361 usecs (2523 samples)
[   17.824113] intel8x0: clocking to 48000
[   22.811441] loop: module loaded
[   25.070476] FAT: utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!
[   25.323356] EXT2-fs warning: maximal mount count reached, running e2fsck is recommended
[   25.385943] ISO 9660 Extensions: Microsoft Joliet Level 3
[   25.400644] ISO 9660 Extensions: RRIP_1991A
[   26.476462] Bridge firewalling registered
[   26.486272] device eth0 entered promiscuous mode
[   26.491283] eth0: link down
[   26.496339] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   26.505821] device eth3 entered promiscuous mode
[   26.519896] br0: port 2(eth3) entering learning state
[   36.748011] br0: no IPv6 routers present
[   36.960011] eth3: no IPv6 routers present
[   41.516013] br0: port 2(eth3) entering forwarding state
[   42.784369] fuse init (API version 7.13)
[   43.949444] lp0: using parport0 (interrupt-driven).
[   43.968966] ppdev: user-space parallel port driver
[10217.760036] usb 2-1: new full speed USB device using uhci_hcd and address 3
[10217.962713] usb 2-1: New USB device found, idVendor=03f0, idProduct=3111
[10217.962768] usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[10217.962817] usb 2-1: Product: officejet 4100 series
[10217.962861] usb 2-1: Manufacturer: Hewlett-Packard
[10217.962905] usb 2-1: SerialNumber: MY41CF11894Z
[10217.964866] usb 2-1: configuration #1 chosen from 1 choice
[10218.016358] usblp1: USB Bidirectional printer dev 3 if 1 alt 0 proto 2 vid 0x03F0 pid 0x3111
[10218.016481] usbcore: registered new interface driver usblp
[10254.834386] usblp1: removed
[10793.872077] usb 2-1: USB disconnect, address 3

** Model information
not available

** Loaded modules:
Module                  Size  Used by
usblp                   7899  0 
ppdev                   4058  0 
lp                      5570  0 
fuse                   44256  1 
bridge                 33019  0 
stp                      996  1 bridge
nls_utf8                 908  1 
isofs                  24608  1 
nls_cp437               4489  1 
msdos                   5118  1 
fat                    34912  1 msdos
loop                    9765  0 
snd_intel8x0           19595  0 
snd_ac97_codec         79148  1 snd_intel8x0
rndis_wlan             15984  0 
cfg80211               87657  1 rndis_wlan
ac97_bus                 710  1 snd_ac97_codec
rfkill                 10264  1 cfg80211
snd_pcm                47226  2 snd_intel8x0,snd_ac97_codec
snd_seq                35463  0 
rndis_host              4359  1 rndis_wlan
snd_timer              12258  2 snd_pcm,snd_seq
cdc_ether               2633  1 rndis_host
snd_seq_device          3673  1 snd_seq
usbnet                  9527  3 rndis_wlan,rndis_host,cdc_ether
i2c_i801                6462  0 
parport_pc             15799  1 
snd                    34375  6 snd_intel8x0,snd_ac97_codec,snd_pcm,snd_seq,snd_timer,snd_seq_device
thermal_sys             9378  0 
soundcore               3450  1 snd
psmouse                44809  0 
pcspkr                  1207  0 
evdev                   5609  0 
parport                22554  3 ppdev,lp,parport_pc
i2c_core               12787  1 i2c_i801
snd_page_alloc          5045  2 snd_intel8x0,snd_pcm
shpchp                 21220  0 
serio_raw               2916  0 
output                  1204  0 
rng_core                2178  0 
pci_hotplug            18065  1 shpchp
ext2                   46245  2 
mbcache                 3762  1 ext2
sg                     15968  0 
sr_mod                 10770  1 
sd_mod                 26005  4 
crc_t10dif              1012  1 sd_mod
cdrom                  26487  1 sr_mod
usbhid                 28008  1 
ata_generic             2067  0 
hid                    50909  1 usbhid
uhci_hcd               16057  0 
ata_piix               17736  4 
8139too                14949  0 
sym53c8xx              58040  0 
e100                   22317  0 
libata                115753  2 ata_generic,ata_piix
floppy                 40923  0 
8139cp                 13421  0 
ehci_hcd               28681  0 
mii                     2714  4 usbnet,8139too,e100,8139cp
scsi_transport_spi     14866  1 sym53c8xx
scsi_mod              101429  6 sg,sr_mod,sd_mod,sym53c8xx,libata,scsi_transport_spi
usbcore                98733  10 usblp,rndis_wlan,rndis_host,cdc_ether,usbnet,usbhid,uhci_hcd,ehci_hcd
nls_base                4541  5 nls_utf8,isofs,nls_cp437,fat,usbcore

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
auto br0
iface br0 inet static
           address 172.16.2.1
           network 172.16.0.0
           netmask 255.255.0.0
           broadcast 172.16.255.255
           gateway 172.16.4.1
           bridge_ports eth0 eth3


** Network status:
*** Device statistics:
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo:     660      10    0    0    0     0          0         0      660      10    0    0    0     0       0          0
  eth1:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
  eth0:       0       0    0    0    0     0          0         0        0       0    0    0    0     0       0          0
  eth3: 8581387   26220   44    0    0    44          0         0  2469415   15915    0    0    0     0       0          0
   br0: 8579745   26174    0    0    0     0          0     10683  1769155   15915    0    0    0     0       0          0

*** Protocol statistics:
Ip:
    15423 total packets received
    0 forwarded
    0 incoming packets discarded
    15410 incoming packets delivered
    15422 requests sent out
Icmp:
    11 ICMP messages received
    0 input ICMP message failed.
    ICMP input histogram:
        destination unreachable: 11
    0 ICMP messages sent
    0 ICMP messages failed
    ICMP output histogram:
IcmpMsg:
        InType3: 11
Tcp:
    448 active connections openings
    0 passive connection openings
    2 failed connection attempts
    24 connection resets received
    1 connections established
    14080 segments received
    14071 segments send out
    87 segments retransmited
    0 bad segments received.
    164 resets sent
Udp:
    1254 packets received
    0 packets to unknown port received.
    0 packet receive errors
    1264 packets sent
UdpLite:
TcpExt:
    3 TCP sockets finished time wait in fast timer
    349 delayed acks sent
    Quick ack mode was activated 58 times
    364 packets directly queued to recvmsg prequeue.
    41590 bytes directly received in process context from prequeue
    9763 packet headers predicted
    146 packets header predicted and directly queued to user
    808 acknowledgments not containing data payload received
    203 predicted acknowledgments
    34 congestion windows recovered without slow start after partial ack
    1 timeouts after SACK recovery
    1 timeouts in loss state
    24 retransmits in slow start
    58 other TCP timeouts
    74 DSACKs sent for old packets
    21 DSACKs received
    37 connections reset due to unexpected data
    8 connections reset due to early user close
    1 connections aborted due to timeout
    TCPDSACKIgnoredOld: 1
    TCPDSACKIgnoredNoUndo: 2
    TCPSackShiftFallback: 10
IpExt:
    InBcastPkts: 65
    InOctets: 8199947
    OutOctets: 1532705
    InBcastOctets: 10933

*** Device features:
br0: 0x1829
eth0: 0x829
eth1: 0x0
eth3: 0x0
lo: 0x13865

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570] (rev 02)
	Subsystem: Intel Corporation 82865G/PE/P DRAM Controller/Host-Hub Interface [8086:2570]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [e4] Vendor Specific Information: Len=06 <?>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation 82865G Integrated Graphics Controller [8086:2572] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Intel Corporation Desktop Board D865GBF [8086:4246]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Region 1: Memory at ffa80000 (32-bit, non-prefetchable) [size=512K]
	Region 2: I/O ports at ec00 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [d0] Power Management version 1
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-

00:06.0 System peripheral [0880]: Intel Corporation 82865G/PE/P Processor to I/O Memory Interface [8086:2576] (rev 02)
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Region 0: Memory at fecf0000 (32-bit, non-prefetchable) [size=4K]

00:1d.0 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1 [8086:24d2] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Desktop Board D865GBF [8086:4246]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at dc00 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2 [8086:24d4] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Desktop Board D865GBF [8086:4246]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at e000 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3 [8086:24d7] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Desktop Board D865GBF [8086:4246]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at e400 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4 [8086:24de] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation Desktop Board D865GBF [8086:4246]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at e800 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller [8086:24dd] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Intel Corporation Desktop Board D865GBF [8086:4246]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 23
	Region 0: Memory at ffa7fc00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME+
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev c2) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: ff800000-ff8fffff
	Prefetchable memory behind bridge: 40000000-400fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn-

00:1f.0 ISA bridge [0601]: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge [8086:24d0] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:1f.1 IDE interface [0101]: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller [8086:24db] (rev 02) (prog-if 8a [Master SecP PriP])
	Subsystem: Intel Corporation Desktop Board D865GBF [8086:4246]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at ffa0 [size=16]
	Region 5: Memory at 40100000 (32-bit, non-prefetchable) [size=1K]
	Kernel driver in use: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller [8086:24d3] (rev 02)
	Subsystem: Intel Corporation Desktop Board D865GBF [8086:4246]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at d800 [size=32]
	Kernel driver in use: i801_smbus

00:1f.5 Multimedia audio controller [0401]: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller [8086:24d5] (rev 02)
	Subsystem: Intel Corporation Desktop Board D865GBF [8086:e001]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 2: Memory at ffa7f800 (32-bit, non-prefetchable) [size=512]
	Region 3: Memory at ffa7f400 (32-bit, non-prefetchable) [size=256]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: Intel ICH

01:04.0 SCSI storage controller [0100]: LSI Logic / Symbios Logic 53c875 [1000:000f] (rev 04)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 72 (4250ns min, 16000ns max), Cache Line Size: 128 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at c800 [size=256]
	Region 1: Memory at ff8ffc00 (32-bit, non-prefetchable) [size=256]
	Region 2: Memory at ff8fe000 (32-bit, non-prefetchable) [size=4K]
	Expansion ROM at 40000000 [disabled] [size=64K]
	Kernel driver in use: sym53c8xx

01:05.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ [10ec:8139] (rev 10)
	Subsystem: Device [3030:5032]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (8000ns min, 16000ns max)
	Interrupt: pin A routed to IRQ 17
	Region 0: I/O ports at c400 [size=256]
	Region 1: Memory at ff8ff800 (32-bit, non-prefetchable) [size=256]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1+,D2+,D3hot+,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: 8139too

01:08.0 Ethernet controller [0200]: Intel Corporation 82562EZ 10/100 Ethernet Controller [8086:1050] (rev 01)
	Subsystem: Intel Corporation Desktop Board D865GBF [8086:302f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (2000ns min, 14000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at ff8fd000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at cc00 [size=64]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=2 PME-
	Kernel driver in use: e100


** USB devices:
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 1630:0042  
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 051d:0002 American Power Conversion Uninterruptible Power Supply
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.utf8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-686 depends on:
ii  debconf [debconf-2.0]         1.5.36.1   Debian configuration management sy
ii  initramfs-tools [linux-initra 0.98.8     tools for generating an initramfs
ii  linux-base                    2.6.32-31  Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-686 recommends:
ii  firmware-linux-free           2.6.32-31  Binary firmware for various driver
ii  libc6-i686                    2.11.2-10  Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.32-5-686 suggests:
ii  grub-legacy [grub]            0.97-64    GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.28       Binary firmware for various driver
ii  firmware-linux-nonfree        0.28       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.32-5-686/prerm/removing-running-kernel-2.6.32-5-686: true
  linux-image-2.6.32-5-686/postinst/depmod-error-initrd-2.6.32-5-686: false
  linux-image-2.6.32-5-686/postinst/ignoring-do-bootloader-2.6.32-5-686:
  linux-image-2.6.32-5-686/postinst/missing-firmware-2.6.32-5-686:
[pcport.lst (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627098; Package linux-2.6. (Tue, 17 May 2011 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 17 May 2011 18:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 627098@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Mark Glassberg <glass931@yahoo.com>, 627098@bugs.debian.org
Subject: Re: Bug#627098: linux-image-2.6.32-5-686: rndis_host fails to recognize usb device
Date: Tue, 17 May 2011 19:11:47 +0100
On Tue, May 17, 2011 at 12:16:31PM -0400, Mark Glassberg wrote:
> Package: linux-2.6
> Version: 2.6.32-31
> Severity: normal
> 
> I'm running squeeze and I have a usb communication device that my 2.6.32-5-686
> kernel doesn't recognize.  The device, called a PC Port, is manufactured by
> 2Wire, which is now part of Pace Plc.  It functions as an interface to a phone
> line based network using HomePNA technology.  I use a 2Wire modem/router which
> is also a usb device running HomePNA, and it is recognized by rndis_host as an
> eth device, but my PC Port is not.
[...]

Where do you find these things, Mark? ;-)

The log you attached shows this device being discovered, but doesn't
show rndis_host doing anything with it.  Does any driver seem to
recognise the device at all?

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 17 May 2011 18:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627098; Package linux-2.6. (Mon, 11 Jul 2011 03:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Jul 2011 03:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 627098@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 627098@bugs.debian.org
Subject: Re: Bug#627098: linux-image-2.6.32-5-686: rndis_host fails to recognize usb device
Date: Mon, 11 Jul 2011 04:48:18 +0100
-------- Forwarded Message --------
From: Mark Glassberg <vzeeaxwl@myfairpoint.net>
To: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#627098: linux-image-2.6.32-5-686: rndis_host fails to recognize usb device
Date: Fri, 8 Jul 2011 14:07:07 -0400

On Thu, Jul 07, 2011 at 03:24:29PM +0000, Ben Hutchings wrote:
> The log you attached shows this device being discovered, but doesn't
> show rndis_host doing anything with it.  Does any driver seem to
> recognise the device at all?

Unfortunately, the answer is no to all the modules in kernel/drivers/net/usb/.
Any suggestions?

Mark






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627098; Package linux-2.6. (Wed, 13 Jul 2011 02:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Jul 2011 02:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 627098@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 627098-submitter@bugs.debian.org
Cc: 627098@bugs.debian.org
Subject: Re: Bug#627098: linux-image-2.6.32-5-686: rndis_host fails to recognize usb device
Date: Wed, 13 Jul 2011 03:43:05 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-07-08 at 14:07 -0400, Mark Glassberg wrote:
> On Thu, Jul 07, 2011 at 03:24:29PM +0000, Ben Hutchings wrote:
> > The log you attached shows this device being discovered, but doesn't
> > show rndis_host doing anything with it.  Does any driver seem to
> > recognise the device at all?
> 
> Unfortunately, the answer is no to all the modules in kernel/drivers/net/usb/.
> Any suggestions?

Can you try a newer version (2.6.39 from testing/unstable or 3.0-rc6
from experimental)?

Ben.

-- 
Ben Hutchings
All extremists should be taken out and shot.
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mark Glassberg <glass931@yahoo.com>:
Bug#627098. (Wed, 13 Jul 2011 02:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627098; Package linux-2.6. (Thu, 21 Jul 2011 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 21 Jul 2011 23:51:03 GMT) Full text and rfc822 format available.

Message #30 received at 627098@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 627098@bugs.debian.org
Subject: Re: Bug#627098: linux-image-2.6.32-5-686: rndis_host fails to recognize usb device
Date: Fri, 22 Jul 2011 01:46:30 +0200
[Message part 1 (text/plain, inline)]
-------- Forwarded Message --------
From: Mark Glassberg <vzeeaxwl@myfairpoint.net>
To: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#627098: linux-image-2.6.32-5-686: rndis_host fails to recognize usb device
Date: Sat, 16 Jul 2011 11:59:20 -0400

On Wed, Jul 13, 2011 at 12:55:44PM +0000, Ben Hutchings wrote:
> Can you try a newer version (2.6.39 from testing/unstable or 3.0-rc6 from
> experimental)?

I don't know if 2.6.39 can be used on my squeeze system, so I burned the
first cd of wheeze and installed it.  The installer had problems with my
usb modem/router, so I finished the install and rebooted without it.  I
then connected the usb modem/router, but the kernel and/or rndis_host
failed.  I then disconnected the usb modem/router and connected the PC Port.
Again, it failed.  The /var/log/messages file is attached.

Please let me know if there are any arguments which should be used with
rndis_host or any of the other modules.  Also, was it necessary to install
wheeze?  And finally, how do I go about using 3.0-rc6?

Mark

[messages (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627098; Package linux-2.6. (Fri, 22 Jul 2011 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 22 Jul 2011 00:06:03 GMT) Full text and rfc822 format available.

Message #35 received at 627098@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Mark Glassberg <vzeeaxwl@myfairpoint.net>
Cc: 627098@bugs.debian.org
Subject: Re: Bug#627098: linux-image-2.6.32-5-686: rndis_host fails to recognize usb device
Date: Fri, 22 Jul 2011 02:02:25 +0200
[Message part 1 (text/plain, inline)]
On Sat, 2011-07-16 at 11:59 -0400, Mark Glassberg wrote:
> On Wed, Jul 13, 2011 at 12:55:44PM +0000, Ben Hutchings wrote:
> > Can you try a newer version (2.6.39 from testing/unstable or 3.0-rc6 from
> > experimental)?
> 
> I don't know if 2.6.39 can be used on my squeeze system, so I burned the
> first cd of wheeze and installed it.  The installer had problems with my
> usb modem/router, so I finished the install and rebooted without it.  I
> then connected the usb modem/router, but the kernel and/or rndis_host
> failed.

That's annoying, because we got that device working... but it looks like
I dropped the bug fix from the Debian package of 2.6.39.  However the
bug fix will be back again in Linux 3.0.

> I then disconnected the usb modem/router and connected the PC Port.
> Again, it failed.  The /var/log/messages file is attached.
> 
> Please let me know if there are any arguments which should be used with
> rndis_host or any of the other modules.  Also, was it necessary to install
> wheeze?

It shouldn't be, but you would need to upgrade initramfs-tools and
linux-base as well as the linux-image-* package.

> And finally, how do I go about using 3.0-rc6?

You would first have to add a line to /etc/apt/sources.list referring to
a mirror of the 'experimental' suite.

Please can you test the attached patch against the experimental version,
following the instructions at:
<http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.

Ben.

-- 
Ben Hutchings
Absolutum obsoletum. (If it works, it's out of date.) - Stafford Beer
[0001-rndis_host-Poll-status-before-control-channel-on-2Wi.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 22 Jul 2011 00:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627098; Package linux-2.6. (Mon, 25 Jul 2011 14:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Glassberg <vzeeaxwl@myfairpoint.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Jul 2011 14:06:05 GMT) Full text and rfc822 format available.

Message #42 received at 627098@bugs.debian.org (full text, mbox):

From: Mark Glassberg <vzeeaxwl@myfairpoint.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 627098@bugs.debian.org
Subject: Re: Bug#627098: linux-image-2.6.32-5-686: rndis_host fails to recognize usb device
Date: Mon, 25 Jul 2011 09:38:17 -0400
On Fri, Jul 22, 2011 at 02:02:25AM +0200, Ben Hutchings wrote:
> On Sat, 2011-07-16 at 11:59 -0400, Mark Glassberg wrote:
> > On Wed, Jul 13, 2011 at 12:55:44PM +0000, Ben Hutchings wrote:
> > > Can you try a newer version (2.6.39 from testing/unstable or 3.0-rc6 from
> > > experimental)?
> > 
> > I don't know if 2.6.39 can be used on my squeeze system, so I burned the
> > first cd of wheeze and installed it.  The installer had problems with my
> > usb modem/router, so I finished the install and rebooted without it.  I
> > then connected the usb modem/router, but the kernel and/or rndis_host
> > failed.
> 
> That's annoying, because we got that device working... but it looks like
> I dropped the bug fix from the Debian package of 2.6.39.  However the
> bug fix will be back again in Linux 3.0.
> 
> > I then disconnected the usb modem/router and connected the PC Port.
> > Again, it failed.  The /var/log/messages file is attached.
> > 
> > Please let me know if there are any arguments which should be used with
> > rndis_host or any of the other modules.  Also, was it necessary to install
> > wheeze?
> 
> It shouldn't be, but you would need to upgrade initramfs-tools and
> linux-base as well as the linux-image-* package.
> 
> > And finally, how do I go about using 3.0-rc6?
> 
> You would first have to add a line to /etc/apt/sources.list referring to
> a mirror of the 'experimental' suite.
> 
> Please can you test the attached patch against the experimental version,
> following the instructions at:
> <http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.
> 
> Ben.
> 
> -- 
> Ben Hutchings
> Absolutum obsoletum. (If it works, it's out of date.) - Stafford Beer

> From afa0c8df93e460eabb63aa1afcc044bc000affc5 Mon Sep 17 00:00:00 2001
> From: Ben Hutchings <ben@decadent.org.uk>
> Date: Fri, 22 Jul 2011 01:56:57 +0200
> Subject: [PATCH] rndis_host: Poll status before control channel on 2Wire PC
>  Port
> 
> Apply the RNDIS_DRIVER_DATA_POLL_STATUS quirk to this device.
> 
> Signed-off-by: Ben Hutchings <ben@decadent.org.uk>
> ---
>  drivers/net/usb/rndis_host.c |    5 +++++
>  1 files changed, 5 insertions(+), 0 deletions(-)
> 
> diff --git a/drivers/net/usb/rndis_host.c b/drivers/net/usb/rndis_host.c
> index 255d6a4..067db14 100644
> --- a/drivers/net/usb/rndis_host.c
> +++ b/drivers/net/usb/rndis_host.c
> @@ -610,6 +610,11 @@ static const struct usb_device_id	products [] = {
>  				      USB_CLASS_COMM, 2 /* ACM */, 0x0ff),
>  	.driver_info = (unsigned long) &rndis_poll_status_info,
>  }, {
> +	/* 2Wire PC Port */
> +	USB_DEVICE_AND_INTERFACE_INFO(0x1630, 0x0011,
> +				      USB_CLASS_COMM, 2 /* ACM */, 0x0ff),
> +	.driver_info = (unsigned long) &rndis_poll_status_info,
> +}, {
>  	/* RNDIS is MSFT's un-official variant of CDC ACM */
>  	USB_INTERFACE_INFO(USB_CLASS_COMM, 2 /* ACM */, 0x0ff),
>  	.driver_info = (unsigned long) &rndis_info,
> -- 
> 1.7.5.4
> 

I booted the 3.0 kernel and both devices were recognized.  I then unplugged
both, removed /etc/network/interfaces, and rebooted.  When I plugged in the
PC Port, I got the following messages:

[  106.024038] usb 3-1: new full speed USB device number 2 using uhci_hcd
[  106.203038] usb 3-1: New USB device found, idVendor=1630, idProduct=0011
[  106.203105] usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0[  106.203163] usb 3-1: Product: 2Wire PC Port
[  106.203215] usb 3-1: Manufacturer: 2Wire Inc
[  106.312267] usbcore: registered new interface driver cdc_ether
[  106.346573] rndis_host 3-1:1.0: eth2: register 'rndis_host' at usb-0000:00:1d.1-1, RNDIS device (poll status before control), 00:d0:9e:3c:25:ed
[  106.347424] usbcore: registered new interface driver rndis_host
[  106.432669] cfg80211: Calling CRDA to update world regulatory domain
[  106.465011] usbcore: registered new interface driver rndis_wlan
[  106.556970] udev[327]: renamed network interface eth2 to eth4

I then created a new /etc/network/interfaces for eth4.  Unfortunately, when I
enteered "ifup eth4" I got the following messages:

[  170.280070] usb 3-1: USB disconnect, device number 2
[  170.281850] rndis_host 3-1:1.0: eth4: unregister 'rndis_host' usb-0000:00:1d.1-1, RNDIS device (poll status before control)

It looks like the kernel disconnected the device, so I couldn't configure it or
bring it up.

Mark




Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Sat, 06 Jul 2013 16:00:32 GMT) Full text and rfc822 format available.

Notification sent to Mark Glassberg <glass931@yahoo.com>:
Bug acknowledged by developer. (Sat, 06 Jul 2013 16:00:32 GMT) Full text and rfc822 format available.

Message #47 received at 627098-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 613845-done@bugs.debian.org, 617694-done@bugs.debian.org, 621823-done@bugs.debian.org, 624217-done@bugs.debian.org, 626593-done@bugs.debian.org, 627098-done@bugs.debian.org, 627585-done@bugs.debian.org, 628200-done@bugs.debian.org
Subject: Closing
Date: Sat, 6 Jul 2013 17:57:49 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 Aug 2013 07:41:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:45:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.